Page MenuHomePhabricator

Implement time-to-first-paragraph using Element Timing
Closed, DeclinedPublic

Description

This should start working in Chrome 77, using https://github.com/WICG/element-timing

Related Objects

Event Timeline

Gilles triaged this task as Medium priority.Aug 20 2019, 2:53 PM
Gilles created this task.

Change 531456 had a related patch set uploaded (by Gilles; owner: Gilles):
[mediawiki/core@master] Add element timing to first article paragraph

https://gerrit.wikimedia.org/r/531456

Verified that it works on Chrome 78. We will need to change the observer syntax that was used for the origin trial. Aside from that, with simulated slow 3G unsurprisingly time-to-first-paragraph == FCP:

Change 531530 had a related patch set uploaded (by Gilles; owner: Gilles):
[mediawiki/extensions/NavigationTiming@master] Remove some origin trials + graduate ElementTiming

https://gerrit.wikimedia.org/r/531530

Change 531530 merged by jenkins-bot:
[mediawiki/extensions/NavigationTiming@master] Remove some origin trials + graduate ElementTiming

https://gerrit.wikimedia.org/r/531530

Peter added a comment.Aug 26 2019, 6:32 AM

Time to first paragraph = FCP = First paint for us. I wonder if we have some pages where that isn't true? When we had the short discussion last week I think missed out that there are some value in LCP: If theres a diff between LCP and FCP? Today we only have measurement when things starts to paint, would be cool to have something latest contentful paint (instead of largest) :)

This is precisely to figure out if there is a meaningful difference in practice. I don't think there would be, I expect that the first paragraph is almost always included in the first paint for us.

Gilles moved this task from Inbox to Doing on the Performance-Team board.Aug 26 2019, 8:21 PM
Gilles closed this task as Declined.Mar 30 2020, 8:07 PM

Change 531456 abandoned by Gilles:
Add element timing to first article paragraph

https://gerrit.wikimedia.org/r/531456